## mygui 3.2.2

=== Platforms/CMakeLists.txt ===
if(MYGUI_RENDERSYSTEM EQUAL 1)
  add_subdirectory(Dummy/DummyPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 3)
  add_subdirectory(Ogre/OgrePlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 4)
  add_subdirectory(OpenGL/OpenGLPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 5)
  add_subdirectory(DirectX/DirectXPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 6)
  add_subdirectory(DirectX11/DirectX11Platform)
endif()

=== Demos/Demo_PluginStrangeButton/CMakeLists.txt ===
include_directories(${MYGUI_SOURCE_DIR}/Plugins/Plugin_StrangeButton)
mygui_demo(Demo_PluginStrangeButton)
add_dependencies(Demo_PluginStrangeButton Plugin_StrangeButton)
find_library(L_DEMO_P_SB, Plugin_StrangeButton)
target_link_libraries(Demo_PluginStrangeButton ${L_DEMO_P_SB})

=== UnitTests/TestApp/CMakeLists.txt ===
mygui_unit_test(TestApp)

=== UnitTests/UnitTest_GraphView/CMakeLists.txt ===
mygui_unit_test(UnitTest_GraphView)

=== Platforms/Dummy/DummyPlatform/CMakeLists.txt ===
set (PROJECTNAME MyGUI.DummyPlatform)

include_directories(
	include
	${MYGUI_SOURCE_DIR}/MyGUIEngine/include
	${MYGUI_SOURCE_DIR}/Common
)

include(${PROJECTNAME}.list)

add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})

add_dependencies(${PROJECTNAME} MyGUIEngine)

target_link_libraries(${PROJECTNAME} MyGUIEngine)

# installation rules
install(FILES ${HEADER_FILES}
        DESTINATION include/MYGUI
)
mygui_install_target(${PROJECTNAME} "")

=== debian/changelog ===
mygui (3.2.2-4) unstable; urgency=medium

  * Merge to unstable
  * Reset SONAME, no need to bump

 -- Scott Howard <showard@debian.org>  Mon, 31 Aug 2015 16:59:24 -0400

mygui (3.2.2-3) experimental; urgency=medium

  * Bump SONAME to *debian2 for GCC transition
    - updated symbols files

 -- Scott Howard <showard@debian.org>  Wed, 12 Aug 2015 12:38:17 -0400

mygui (3.2.2-2) unstable; urgency=medium

  [ Bret Curtis ]
  * Merge from experimental to unstable

  [ Scott Howard ]
  * debian/mygui-doc.links to link to libjs-jquery

 -- Bret Curtis <psi29a@gmail.com>  Mon, 01 Jun 2015 08:21:00 +0100

mygui (3.2.2-1) experimental; urgency=medium

  * New upstream release

 -- Bret Curtis <psi29a@gmail.com>  Wed, 04 Feb 2015 08:21:00 +0100

=== debian/control ===
Source: mygui
Priority: optional
Maintainer: Bret Curtis <psi29a@gmail.com>
Uploaders: Scott Howard <showard@debian.org>
Build-Depends: cmake, doxygen, debhelper (>= 9), libogre-1.9-dev,
 libfreetype6-dev (>= 2.5.1), pkg-config, graphviz, libgl1-mesa-dev, libglew-dev
Homepage: http://www.ogre3d.org/tikiwiki/MyGUI
Standards-Version: 3.9.6
Section: libs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mygui.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mygui.git

Package: libmygui-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libmyguiengine3debian1v5 (= ${binary:Version}),
 libmygui.ogreplatform0debian1v5 (= ${binary:Version}),
 libmygui.openglplatform0debian1v5 (= ${binary:Version})
Suggests: mygui-doc
Description: Fast, simple and flexible GUI for OpenMW - development files
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop. 
 .
 This package contains the headers and static libraries needed to develop
 programs using MyGUI.

Package: libmyguiengine3debian1v5
Architecture: any
Conflicts: libmyguiengine3debian1
Replaces: libmyguiengine3debian1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fast, simple and flexible GUI - shared library
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI runtime engine.

Package: libmyguiengine3debian1v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libmyguiengine3debian1v5 (= ${binary:Version})
Description: Fast, simple and flexible GUI - debugging symbols
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI runtime engine debugging symbols.

Package: libmygui.ogreplatform0debian1v5
Architecture: any
Conflicts: libmygui.ogreplatform0debian1
Replaces: libmygui.ogreplatform0debian1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fast, simple and flexible GUI - Ogre interface
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface to the Ogre graphics engine.

Package: libmygui.ogreplatform0debian1v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libmygui.ogreplatform0debian1v5 (= ${binary:Version})
Description: Fast, simple and flexible GUI Ogre - debugging symbols
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface to the Ogre graphics engine debugging
 symbols.

Package: libmygui.openglplatform0debian1v5
Architecture: any
Conflicts: libmygui.openglplatform0debian1
Replaces: libmygui.openglplatform0debian1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fast, simple and flexible GUI - OpenGL interface
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface for OpenGL.

Package: libmygui.openglplatform0debian1v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libmygui.openglplatform0debian1v5 (= ${binary:Version})
Description: Fast, simple and flexible GUI OpenGL - debugging symbols
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI interface for OpenGL debugging symbols.

Package: mygui-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: API documentations for MyGUI library
 MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
  Features include
    Layout Editor.
    Multicolour text.
    Per pixel cut.
    Changing alpha support for widgets (also in states configuration).
    Interface localisation.
    Fast RTTI for safe casts.
    Tool tips.
    Animated cursors and pictures.
    User xml resources.
    Truetype fonts and fonts from texture.
    Widgets controllers (moving, fading and so on).
    Flexible configuration in xml config file.
    Subskins with tiling, with direct access to texture.
    Possibility to store any data in widgets items.
    Skin themes.
    Wrappers for fast UI development.
    Drag'n'drop.
 .
 This package contains the MyGUI API reference for the MyGUIEngine library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
#export DH_VERBOSE=1
%:
	dh $@ --parallel

override_dh_auto_configure: debian/mygui-doc.docs
#	Don't autoconfigure, need to build for Ogre and OpenGL

override_dh_auto_install:
	mv $(CURDIR)/debian/tmp2 $(CURDIR)/debian/tmp

override_dh_auto_build:
#	build for OpenGL
	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=4 \
	 -DMYGUI_BUILD_DOCS=FALSE -DMYGUI_BUILD_PLUGINS=FALSE \
	 -DMYGUI_BUILD_TOOLS=FALSE -DMYGUI_USE_SYSTEM_GLEW=TRUE
	dh_auto_build
	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2
#	Build for Ogre platform, and tools
	dh_auto_configure -- -DMYGUI_BUILD_DEMOS=FALSE -DMYGUI_RENDERSYSTEM=3 \
	 -DMYGUI_BUILD_DOCS=TRUE -DMYGUI_BUILD_PLUGINS=FALSE \
	 -DMYGUI_BUILD_TOOLS=FALSE
	dh_auto_build
	${MAKE} install -C obj-$(DEB_BUILD_GNU_TYPE) DESTDIR=$(CURDIR)/debian/tmp2

override_dh_install:
	cd obj-$(DEB_BUILD_GNU_TYPE)/Docs && doxygen Doxyfile && cd $(CURDIR)
	find debian/ -type d -empty -delete
	dh_install -Xlicense.txt -Xttf

override_dh_installdocs:
	dh_installdocs -X.md5 -X.map -Xjquery.js

debian/%.docs: debian/%.docs.in
	sed 's/@BUILD_DIR@/obj-$(DEB_BUILD_GNU_TYPE)/g' $< > $@

override_dh_strip:
	dh_strip -plibmyguiengine3debian1v5 --dbg-package=libmyguiengine3debian1v5-dbg
	dh_strip -plibmygui.ogreplatform0debian1v5 --dbg-package=libmygui.ogreplatform0debian1v5-dbg
	dh_strip -plibmygui.openglplatform0debian1v5 --dbg-package=libmygui.openglplatform0debian1v5-dbg
	dh_strip

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c0

copyright_check:
	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
	rm debian/stamp-copyright-check

get-orig-source:
	uscan --download-current-version --repack --rename --verbose

=== debian/watch ===
version=3
https://github.com/MyGUI/mygui/releases .*/archive/MyGUI([\d\.]*)\.tar.gz

## mygui 3.2.2+dfsg

=== CMakeLists.txt ===
######################################################################
# MYGUI BUILD SYSTEM
# Welcome to the CMake build system for MYGUI.
# This is the main file where we prepare the general build environment
# and provide build configuration options.
######################################################################

cmake_minimum_required(VERSION 2.6)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)
cmake_policy(SET CMP0003 NEW)

project(MYGUI)

# Include necessary submodules
set(CMAKE_MODULE_PATH
	"${MYGUI_SOURCE_DIR}/CMake"
	"${MYGUI_SOURCE_DIR}/CMake/Utils"
	"${MYGUI_SOURCE_DIR}/CMake/Packages"
)
include(CMakeDependentOption)
include(MacroLogFeature)
include(MyGUIConfigTargets)
include(PreprocessorUtils)
set(MYGUI_TEMPLATES_DIR "${MYGUI_SOURCE_DIR}/CMake/Templates")
set(MYGUI_WORK_DIR ${MYGUI_BINARY_DIR})


#####################################################################
# Set up the basic build environment
#####################################################################

if (CMAKE_BUILD_TYPE STREQUAL "")
	# CMake defaults to leaving CMAKE_BUILD_TYPE empty. This screws up
	# differentiation between debug and release builds.
	set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: None (CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif ()

# determine MyGUI version numbers
include(MyGUIGetVersion)
mygui_get_version(${MYGUI_SOURCE_DIR}/MyGUIEngine/include/MyGUI_Prerequest.h)
message(STATUS "Configuring MYGUI ${MYGUI_VERSION}")

if (NOT APPLE)
	# Create debug libraries with _d postfix
	set(CMAKE_DEBUG_POSTFIX "_d")
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "Intel")
	# Test for GCC visibility
	include(CheckCXXCompilerFlag)
	check_cxx_compiler_flag(-fvisibility=hidden MYGUI_GCC_VISIBILITY)
	if (MYGUI_GCC_VISIBILITY)
		# determine gcc version
		execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE MYGUI_GCC_VERSION)
		message(STATUS "Detected g++ ${MYGUI_GCC_VERSION}")
		message(STATUS "Enabling GCC visibility flags")
		set(MYGUI_GCC_VISIBILITY_FLAGS "-DMYGUI_GCC_VISIBILITY -fvisibility=hidden")

		# check if we can safely add -fvisibility-inlines-hidden
		string(TOLOWER "${CMAKE_BUILD_TYPE}" MYGUI_BUILD_TYPE)
		if (MYGUI_BUILD_TYPE STREQUAL "debug")
			if(MYGUI_GCC_VERSION VERSION_LESS "4.2")
				message(STATUS "Skipping -fvisibility-inlines-hidden due to possible bug in g++ < 4.2")
			else() # double if because of bug in CMake 2.6
				set(MYGUI_GCC_VISIBILITY_FLAGS "${MYGUI_GCC_VISIBILITY_FLAGS} -fvisibility-inlines-hidden")
			endif()
		else ()
			set(MYGUI_GCC_VISIBILITY_FLAGS "${MYGUI_GCC_VISIBILITY_FLAGS} -fvisibility-inlines-hidden")
		endif ()
	endif (MYGUI_GCC_VISIBILITY)

	# Fix x64 issues on Linux
	if("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "x86_64" AND NOT APPLE)
		add_definitions(-fPIC)
	endif()  
endif ()

# determine system endianess
include(TestBigEndian)
test_big_endian(MYGUI_TEST_BIG_ENDIAN)

# Add MyGUIEngine include path

# definitions for samples
set(MYGUI_LIBRARIES MyGUIEngine)

# Specify build paths
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${MYGUI_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${MYGUI_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${MYGUI_BINARY_DIR}/bin)
if (WIN32 OR APPLE)
	if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
		if (UNIX)
			# On Mac OS X and Linux, standard behavior is to install to /usr/local/lib
			set(CMAKE_INSTALL_PREFIX "/usr/local")
		elseif (WIN32)
			# On Windows, we don't want to install in default system location, install is really for the SDK, so call it that
			SET(CMAKE_INSTALL_PREFIX
				"${MYGUI_BINARY_DIR}/sdk" CACHE PATH "MYGUI install prefix" FORCE
			)
		endif ()
	endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
endif(WIN32 OR APPLE)

######################################################################
# Provide user options to customise the build process
######################################################################

# Customise what to build
option(MYGUI_STATIC "Static build" FALSE)
option(MYGUI_USE_FREETYPE "Use freetype for font rendering" TRUE)
option(MYGUI_DONT_USE_OBSOLETE "Remove obsole functions from build" FALSE)

set(MYGUI_RENDERSYSTEM 3 CACHE STRING
"Specify the Render System. Possible values:
  1 - Dummy
  2 - Export (latter)
  3 - Ogre
  4 - OpenGL
  5 - Direct3D 9
  6 - Direct3D 11"
)

if(MYGUI_RENDERSYSTEM EQUAL 4)
	option(MYGUI_USE_SYSTEM_GLEW "Use system OpenGL Extension Wrangler Library (GLEW)" FALSE)
endif()

option(MYGUI_BUILD_DEMOS "Build MyGUI demos" TRUE)
option(MYGUI_BUILD_PLUGINS "Build MyGUI plugins" TRUE)
option(MYGUI_BUILD_TOOLS "Build the tools" TRUE)
option(MYGUI_BUILD_UNITTESTS "Build the unit tests" FALSE)
option(MYGUI_BUILD_TEST_APP "Build TestApp" FALSE)
option(MYGUI_BUILD_WRAPPER "Build the wrapper" FALSE)

option(MYGUI_INSTALL_SAMPLES "Install MyGUI demos." FALSE)
option(MYGUI_INSTALL_TOOLS "Install MyGUI tools." FALSE)
option(MYGUI_INSTALL_DOCS "Install documentation." FALSE)
option(MYGUI_INSTALL_MEDIA "Install media files." FALSE)
option(MYGUI_INSTALL_SAMPLES_SOURCE "Install samples source files." FALSE)
cmake_dependent_option(MYGUI_INSTALL_PDB "Install debug pdb files" FALSE "MSVC" FALSE)
option(MYGUI_FULL_RPATH "Build executables with the full required RPATH to run from their install location." FALSE)
option(MYGUI_STANDALONE_BUILD "Generate build files that do not reference CMake (should be used only from Scripts/prepareRelease.py)" FALSE)
MARK_AS_ADVANCED(MYGUI_STANDALONE_BUILD)
option(MYGUI_GENERATE_LIST_FILES_FROM_VSPROJECT "Generate .list files from visual studio project files" FALSE)

if (WIN32)
	set(MYGUI_SAMPLES_INPUT 2 CACHE STRING
	"Specify the Input Manager for samples. Possible values:
	  1 - OIS
	  2 - Win32
	  3 - Win32 (Mouse) + OIS (Keyboard)"
	)
else()
	set(MYGUI_SAMPLES_INPUT 1)
endif()

if (MSVC)
	option(MYGUI_USE_PROJECT_FOLDERS "Use Visual Studio solution folders for projects." FALSE)
endif ()

# Used to not annoy users with high level warnings (should be TRUE for developers)
option(MYGUI_HIGH_LEVEL_WARNINGS "Use high level compiler warnings. Developers should enable this." FALSE)
if (MSVC)
	option(MYGUI_CHECK_MEMORY_LEAKS "Check memory leaks. Developers should enable this." FALSE)
endif ()

if (MYGUI_USE_PROJECT_FOLDERS)
	SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)
endif ()

# Global defines
if (MYGUI_CHECK_MEMORY_LEAKS)
	add_definitions(-DMYGUI_CHECK_MEMORY_LEAKS)
endif ()

if (MYGUI_DONT_USE_OBSOLETE)
	add_definitions(-DMYGUI_DONT_USE_OBSOLETE)
endif ()
# End of Global defines

# Set compiler specific build flags
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "Intel")
	if (NOT MYGUI_HIGH_LEVEL_WARNINGS)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -w")
	else ()
		if (MYGUI_RENDERSYSTEM EQUAL 3)
			# to avoid warnings from OGRE
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isystem ${OGRE_INCLUDE_DIR}")
		endif ()
		if (MYGUI_SAMPLES_INPUT EQUAL 1 OR MYGUI_SAMPLES_INPUT EQUAL 3)
			# to avoid warnings from OIS
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -isystem ${OIS_INCLUDE_DIR}")
		endif ()

		if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
                        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weverything")
                        # might be useful
                        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option -Wno-sign-conversion -Wno-conversion -Wno-c++11-extensions -Wno-documentation -Wno-old-style-cast")
                        # not useful
                        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-float-equal -Wno-padded -Wno-padded -Wno-weak-vtables -Wno-duplicate-enum -Wno-exit-time-destructors -Wno-unused-parameter -Wno-global-constructors")
		else ()
			# very interesting option, but way too many warnings
			#add_definitions(-Weffc++)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated -Wall  -Winit-self -Woverloaded-virtual -Wcast-qual -Wwrite-strings -Wextra -Wno-unused-parameter")
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
			if (NOT CMAKE_CXX_COMPILER_ID MATCHES "Intel")
				set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wctor-dtor-privacy")
				set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-show-option")
			endif ()

			# MyGUI_UString.h ignored from warnings because of this
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wshadow")
		endif ()
	endif ()
endif ()

if (MSVC)
	add_definitions("-D_CRT_SECURE_NO_WARNINGS")
	
	# Use the highest warning level for visual studio.
	if (MYGUI_HIGH_LEVEL_WARNINGS)
		SET(WARNING_LEVEL "/W4")
		# disable: warning C4100: '***' : unreferenced formal parameter
		add_definitions(/wd4100)
		# disable: warning C4127: conditional expression is constant
		add_definitions(/wd4127)
		# disable: warning C4512: '***' : assignment operator could not be generated
		add_definitions(/wd4512)
	else ()
		SET(WARNING_LEVEL "/W3")
	endif ()

	if (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
		STRING(REGEX REPLACE "/W[0-4]" "${WARNING_LEVEL}" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
	else ()
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_LEVEL}")
	endif ()

endif ()

if (CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
	# Otherwise, boost complains that there is no threading support.
	SET(CMAKE_CXX_FLAGS "-pthread ${CMAKE_CXX_FLAGS}")
endif ()

# Find dependencies
include(Dependencies)

cmake_dependent_option(MYGUI_BUILD_DOCS "Generate documentation" TRUE "DOXYGEN_FOUND" FALSE)

# global configs
include_directories(
	${MYGUI_SOURCE_DIR}/MyGUIEngine/include
)

###################################################################
# configure global build settings based on selected build options
###################################################################
include(ConfigureBuild)


##################################################################
# Now setup targets
##################################################################

# install resource files
include(InstallResources)

# Setup MyGUIEngine project
add_subdirectory(MyGUIEngine)

# Setup Platforms
add_subdirectory(Platforms)

if (MYGUI_BUILD_DEMOS OR MYGUI_BUILD_TOOLS OR MYGUI_BUILD_UNITTESTS OR MYGUI_BUILD_TEST_APP)
	add_subdirectory(Common)
endif ()

# Setup Plugins
if (MYGUI_BUILD_PLUGINS)
	add_subdirectory(Plugins)
endif ()

if (MYGUI_BUILD_DEMOS)
	add_subdirectory(Demos)
endif ()

# Setup command-line tools
if (MYGUI_BUILD_TOOLS)
	add_subdirectory(Tools)
endif ()

# Setup tests
if (MYGUI_BUILD_UNITTESTS OR MYGUI_BUILD_TEST_APP)
	add_subdirectory(UnitTests)
endif ()

# Setup wrapers
if (MYGUI_BUILD_WRAPPER)
	add_subdirectory(Wrappers)
endif ()

# Install documentation
if (MYGUI_BUILD_DOCS)
	add_subdirectory(Docs)
endif ()

# Install media files
if (MYGUI_INSTALL_MEDIA)
	add_subdirectory(Media)
endif ()

# Install CMake modules
add_subdirectory(CMake)

# Provide CPack packaging target
include(Packaging)

=== Common/CMakeLists.txt ===
function(mygui_add_base_manager_source PLATFORM)
	include_directories(Base/${PLATFORM})
	set (HEADER_FILES ${HEADER_FILES} Base/${PLATFORM}/BaseManager.h PARENT_SCOPE)
	set (SOURCE_FILES ${SOURCE_FILES} Base/${PLATFORM}/BaseManager.cpp PARENT_SCOPE)
	SOURCE_GROUP("Base" FILES
		Base/${PLATFORM}/BaseManager.h
		Base/${PLATFORM}/BaseManager.cpp
	)
endfunction(mygui_add_base_manager_source)

function(mygui_add_input_source PLATFORM)
	include_directories(Input/${PLATFORM})
	set (HEADER_FILES ${HEADER_FILES}
		Input/${PLATFORM}/InputManager.h
		Input/${PLATFORM}/PointerManager.h
		PARENT_SCOPE)
	set (SOURCE_FILES ${SOURCE_FILES}
		Input/${PLATFORM}/InputManager.cpp
		Input/${PLATFORM}/PointerManager.cpp
		PARENT_SCOPE)
	SOURCE_GROUP("Base" FILES
		Input/${PLATFORM}/InputManager.h
		Input/${PLATFORM}/InputManager.cpp
		Input/${PLATFORM}/PointerManager.h
		Input/${PLATFORM}/PointerManager.cpp
	)
endfunction(mygui_add_input_source)

set (PROJECTNAME Common)

include_directories(
	.
	${MYGUI_SOURCE_DIR}/Common
	${MYGUI_SOURCE_DIR}/MyGUIEngine/include
)

set (HEADER_FILES "")
set (SOURCE_FILES "")

if(MYGUI_RENDERSYSTEM EQUAL 1)
	mygui_add_base_manager_source(Dummy)
	add_definitions("-DMYGUI_DUMMY_PLATFORM")
	include_directories(
		${MYGUI_SOURCE_DIR}/Platforms/Dummy/DummyPlatform/include
	)
	link_directories(${DUMMY_LIB_DIR})
elseif(MYGUI_RENDERSYSTEM EQUAL 3)
	mygui_add_base_manager_source(Ogre)
	add_definitions("-DMYGUI_OGRE_PLATFORM")
	include_directories(
		${MYGUI_SOURCE_DIR}/Platforms/Ogre/OgrePlatform/include
		${OGRE_INCLUDE_DIR}
	)
	link_directories(${OGRE_LIB_DIR})
elseif(MYGUI_RENDERSYSTEM EQUAL 4)
	mygui_add_base_manager_source(OpenGL)
	add_definitions("-DMYGUI_OPENGL_PLATFORM")
	include_directories(
		${MYGUI_SOURCE_DIR}/Platforms/OpenGL/OpenGLPlatform/include
		${OPENGL_INCLUDE_DIR}
	)
	link_directories(${OPENGL_LIB_DIR})
elseif(MYGUI_RENDERSYSTEM EQUAL 5)
	mygui_add_base_manager_source(DirectX)
	add_definitions("-DMYGUI_DIRECTX_PLATFORM")
	include_directories(
		${MYGUI_SOURCE_DIR}/Platforms/DirectX/DirectXPlatform/include
		${DirectX_INCLUDE_DIR}
	)
	link_directories(${DIRECTX_LIB_DIR})
elseif(MYGUI_RENDERSYSTEM EQUAL 6)
	mygui_add_base_manager_source(DirectX11)
	add_definitions("-DMYGUI_DIRECTX11_PLATFORM")
	include_directories(
		${MYGUI_SOURCE_DIR}/Platforms/DirectX11/DirectX11Platform/include
		${DirectX_INCLUDE_DIR}
	)
	link_directories(${DIRECTX_LIB_DIR})
endif()

if(MYGUI_SAMPLES_INPUT EQUAL 1)
	include_directories(${OIS_INCLUDE_DIRS})
	mygui_add_input_source(OIS)
elseif(MYGUI_SAMPLES_INPUT EQUAL 2)
	mygui_add_input_source(Win32)
elseif(MYGUI_SAMPLES_INPUT EQUAL 3)
	include_directories(${OIS_INCLUDE_DIRS})
	mygui_add_input_source(Win32_OIS)
endif()

add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})

if(MYGUI_RENDERSYSTEM EQUAL 1)
	add_dependencies(${PROJECTNAME} MyGUI.DummyPlatform)
	target_link_libraries(${PROJECTNAME} MyGUI.DummyPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 3)
	add_dependencies(${PROJECTNAME} MyGUI.OgrePlatform)
	target_link_libraries(${PROJECTNAME} MyGUI.OgrePlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 4)
	add_dependencies(${PROJECTNAME} MyGUI.OpenGLPlatform)
	target_link_libraries(${PROJECTNAME} MyGUI.OpenGLPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 5)
	add_dependencies(${PROJECTNAME} MyGUI.DirectXPlatform)
	target_link_libraries(${PROJECTNAME} MyGUI.DirectXPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 6)
	add_dependencies(${PROJECTNAME} MyGUI.DirectX11Platform)
	target_link_libraries(${PROJECTNAME} MyGUI.DirectX11Platform)
endif()

add_dependencies(${PROJECTNAME} MyGUIEngine)

if(MYGUI_SAMPLES_INPUT EQUAL 1)
	add_definitions("-DMYGUI_SAMPLES_INPUT_OIS")
	link_directories(${OIS_LIB_DIR})
	target_link_libraries(${PROJECTNAME} ${OIS_LIBRARIES})
elseif(MYGUI_SAMPLES_INPUT EQUAL 2)
	add_definitions("-DMYGUI_SAMPLES_INPUT_WIN32")
elseif(MYGUI_SAMPLES_INPUT EQUAL 3)
	add_definitions("-DMYGUI_SAMPLES_INPUT_WIN32_OIS")
	link_directories(${OIS_LIB_DIR})
	target_link_libraries(${PROJECTNAME} ${OIS_LIBRARIES})
endif()

if(NOT WIN32)
	find_package(X11)
	target_link_libraries(${PROJECTNAME} X11)
	include_directories(${X11_INCLUDE_DIR})
endif()

=== Demos/CMakeLists.txt ===
add_subdirectory(Demo_Colour)
add_subdirectory(Demo_Console)
add_subdirectory(Demo_Controllers)
add_subdirectory(Demo_Gui)
add_subdirectory(Demo_ItemBox)
add_subdirectory(Demo_PanelView)
add_subdirectory(Demo_Picking)
if (MYGUI_BUILD_PLUGINS)
	add_subdirectory(Demo_PluginStrangeButton)
	if (MYGUI_BUILD_BERKELIUM_PLUGIN)
		add_subdirectory(Demo_PluginBerkeliumWidget)
	endif ()
endif ()
add_subdirectory(Demo_RenderBox)
add_subdirectory(Demo_ScrollView)
add_subdirectory(Demo_Themes)
add_subdirectory(Demo_Pointers)

=== MyGUIEngine/CMakeLists.txt ===
set (PROJECTNAME MyGUIEngine)

project( ${PROJECTNAME} )

include(PrecompiledHeader)

include(${PROJECTNAME}.list)

include_directories(include)
if (MYGUI_USE_FREETYPE)
	include_directories(
		${FREETYPE_INCLUDE_DIRS} ${FREETYPE_FT2BUILD_INCLUDE_DIR}
	)
	add_definitions(-DMYGUI_USE_FREETYPE)
endif ()

add_definitions(-DMYGUI_BUILD)

if (MSVC)
	# disable: "no suitable definition provided for explicit template instantiation request"
	# Occurs for no justifiable reason on all #includes of Singleton
	add_definitions(/wd4661)
endif ()

# setup MyGUIEngine target
add_library(${PROJECTNAME} ${MYGUI_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
set_target_properties(${PROJECTNAME} PROPERTIES VERSION ${MYGUI_VERSION} SOVERSION ${MYGUI_VERSION_MAJOR})

if (UNIX)
	# some platforms require explicit linking to libdl, see if it's available
	find_library(DL_LIBRARY NAMES dl dlsym)
	mark_as_advanced(DL_LIBRARY)
	if (DL_LIBRARY)
		target_link_libraries(${PROJECTNAME} dl)
	endif ()
endif()

if (MYGUI_USE_FREETYPE)
	target_link_libraries(${PROJECTNAME}
		${FREETYPE_LIBRARIES}
	)
endif()

# platform specific dependencies
if (APPLE)
	include_directories(/usr/local/include /usr/include)
	target_link_libraries(${PROJECTNAME} ${Carbon_LIBRARY})
endif ()

# specify a precompiled header to use
use_precompiled_header(${PROJECTNAME}
  "${CMAKE_CURRENT_SOURCE_DIR}/include/MyGUI_Precompiled.h"
  "${CMAKE_CURRENT_SOURCE_DIR}/src/MyGUI_Precompiled.cpp"
)

set(${PROJECTNAME}_HEADERS ${HEADER_FILES}) # for Mac OS X
mygui_config_lib(${PROJECTNAME})

# link Carbon on Mac OS X
if (APPLE)
	find_library(CARBON_LIBRARY Carbon)
	target_link_libraries(${PROJECTNAME} ${CARBON_LIBRARY})
endif ()

# install MyGUIEngine headers
install(FILES ${HEADER_FILES}
  DESTINATION include/MYGUI
)

=== Demos/Demo_Pointers/CMakeLists.txt ===
mygui_demo(Demo_Pointers)

=== Demos/Demo_RenderBox/CMakeLists.txt ===
mygui_demo(Demo_RenderBox)

=== Demos/Demo_Themes/CMakeLists.txt ===
mygui_demo(Demo_Themes)

=== Tools/FontEditor/CMakeLists.txt ===
mygui_tool(FontEditor)

=== Tools/LayoutEditor/CMakeLists.txt ===
mygui_tool(LayoutEditor)

if (MYGUI_BUILD_PLUGINS)
	add_dependencies(LayoutEditor Plugin_StrangeButton)

	if (MYGUI_BUILD_HIKARI_PLUGIN)
		if(WIN32)
			add_dependencies(LayoutEditor Plugin_HikariWidget)
		endif()
	endif()

	if (MYGUI_BUILD_BERKELIUM_PLUGIN)
		add_dependencies(LayoutEditor Plugin_BerkeliumWidget)
	endif()
endif()

=== Wrappers/MyGUI_OgrePlatform_Export/CMakeLists.txt ===
#only for ogre
if(MYGUI_RENDERSYSTEM EQUAL 3)

	function(mygui_orge_platform_export PROJECTNAME SOLUTIONFOLDER)
		include_directories(
			.
			#${MYGUI_SOURCE_DIR}/Common
			${MYGUI_SOURCE_DIR}/MyGUIEngine/include
			#${OIS_INCLUDE_DIRS}
		)
		# define the sources
		include(${PROJECTNAME}.list)
		include_directories(
			${MYGUI_SOURCE_DIR}/Platforms/Ogre/OgrePlatform/include
			${OGRE_INCLUDE_DIR}
		)
		link_directories(${OGRE_LIB_DIR})
		add_library(${PROJECTNAME} ${MYGUI_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
		set_target_properties(${PROJECTNAME} PROPERTIES FOLDER ${SOLUTIONFOLDER})
		
		# add dependencies
		add_dependencies(${PROJECTNAME} MyGUIEngine )

		# link libraries against it
		target_link_libraries(${PROJECTNAME}
			MyGUIEngine
		#	uuid
		)

		# add dependencies
		add_dependencies(${PROJECTNAME} MyGUIEngine)
		add_dependencies(${PROJECTNAME} MyGUI.OgrePlatform)
		target_link_libraries(${PROJECTNAME} MyGUI.OgrePlatform)
	endfunction(mygui_orge_platform_export)

	mygui_orge_platform_export(MyGUI_OgrePlatform_Export Wrappers)

endif()

=== Platforms/DirectX/DirectXPlatform/CMakeLists.txt ===
set (PROJECTNAME MyGUI.DirectXPlatform)

include_directories(
 include
 ${MYGUI_SOURCE_DIR}/MyGUIEngine/include
 ${DirectX_INCLUDE_DIR}
 ${MYGUI_SOURCE_DIR}/Common
)

include(${PROJECTNAME}.list)

add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})

add_dependencies(${PROJECTNAME} MyGUIEngine)

target_link_libraries(${PROJECTNAME} ${DirectX_LIBRARIES} MyGUIEngine)
link_directories(${DirectX_LIBRARY_DIRS})

# installation rules
install(FILES ${HEADER_FILES}
        DESTINATION include/MYGUI
)
mygui_install_target(${PROJECTNAME} "")

=== Platforms/DirectX11/DirectX11Platform/CMakeLists.txt ===
set (PROJECTNAME MyGUI.DirectX11Platform)

include_directories(
 include
 ${MYGUI_SOURCE_DIR}/MyGUIEngine/include
 ${DirectX_INCLUDE_DIR}
 ${MYGUI_SOURCE_DIR}/Common
)

include(${PROJECTNAME}.list)

add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})

add_dependencies(${PROJECTNAME} MyGUIEngine)

target_link_libraries(${PROJECTNAME} ${DirectX11_LIBRARIES} MyGUIEngine)
link_directories(${DirectX_LIBRARY_DIRS})

# installation rules
install(FILES ${HEADER_FILES}
        DESTINATION include/MYGUI
)
mygui_install_target(${PROJECTNAME} "")

=== debian/changelog ===
mygui (3.2.2+dfsg-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:21:19 +0100

mygui (3.2.2+dfsg-2build1) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 20:00:29 -0500

mygui (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix Ubuntu Bug: 1516256; Missing MyGUI_OpenGLImageLoader.h
  * Updated vcs-* to point to salsa
  * Fixed a few lintian issues
  * Updated symbols file to match the latest changes in gcc-7

 -- Bret Curtis <psi29a@gmail.com>  Thu, 11 Oct 2018 13:30:43 +0100

mygui (3.2.2+dfsg-1) unstable; urgency=medium

  * Set priority from extra to optional.
  * Install pkgconfig files into multiarch directories.
  * Bumped debhelper and control to 11.
  * Stripped windows binaries from source, making it dfsg.

 -- Bret Curtis <psi29a@gmail.com>  Thu, 11 Jan 2018 13:30:43 +0100

mygui (3.2.2-6) unstable; urgency=medium

  * debian/copyright_hints: Remove
  * Update Standards-Version to 4.1.3 (no changes required)
  * Rebuild with g++ 7 to pick up name-mangling changes and be compatible
    with recently-rebuilt dependencies (Closes: #871235, #871299)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 29 Dec 2017 00:36:13 +0100

mygui (3.2.2-5) unstable; urgency=medium

  [ Scott Howard ]
  * Updated symbols, use pkgdke_symbolshelper dh sequence

  [ Bret Curtis ]
  * Update Standards-Version and fix VCS fields

 -- Scott Howard <showard@debian.org>  Thu, 03 Sep 2015 10:59:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mygui
 Priority: optional
-Maintainer: Bret Curtis <psi29a@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bret Curtis <psi29a@gmail.com>
 Uploaders: Scott Howard <showard@debian.org>
-Build-Depends: cmake, doxygen, debhelper (>= 9), libogre-1.9-dev,
- libfreetype6-dev (>= 2.5.1), pkg-config, graphviz, libgl1-mesa-dev, libglew-dev
+Build-Depends: cmake, doxygen, debhelper (>= 11), g++ (>= 4:7), libogre-1.9-dev,
+ pkg-kde-tools, libfreetype6-dev (>= 2.5.1), pkg-config, graphviz,
+ libgl1-mesa-dev, libglew-dev
 Homepage: http://www.ogre3d.org/tikiwiki/MyGUI
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Section: libs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mygui.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mygui.git
+Vcs-Browser: https://salsa.debian.org/psi29a-guest/mygui
+Vcs-Git: https://salsa.debian.org/psi29a-guest/mygui.git
 
 Package: libmygui-dev
 Section: libdevel
@@ -37,7 +39,7 @@
     Possibility to store any data in widgets items.
     Skin themes.
     Wrappers for fast UI development.
-    Drag'n'drop. 
+    Drag'n'drop.
  .
  This package contains the headers and static libraries needed to develop
  programs using MyGUI.
@@ -70,34 +72,6 @@
  .
  This package contains the MyGUI runtime engine.
 
-Package: libmyguiengine3debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmyguiengine3debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI runtime engine debugging symbols.
-
 Package: libmygui.ogreplatform0debian1v5
 Architecture: any
 Conflicts: libmygui.ogreplatform0debian1
@@ -125,35 +99,6 @@
     Drag'n'drop.
  .
  This package contains the MyGUI interface to the Ogre graphics engine.
-
-Package: libmygui.ogreplatform0debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmygui.ogreplatform0debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI Ogre - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI interface to the Ogre graphics engine debugging
- symbols.
 
 Package: libmygui.openglplatform0debian1v5
 Architecture: any
@@ -183,34 +128,6 @@
  .
  This package contains the MyGUI interface for OpenGL.
 
-Package: libmygui.openglplatform0debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmygui.openglplatform0debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI OpenGL - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI interface for OpenGL debugging symbols.
-
 Package: mygui-doc
 Section: doc
 Architecture: all

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/MyGUI/mygui/releases .*/archive/MyGUI([\d\.]*)\.tar.gz

## mygui 3.4.1%2Bdfsg

=== Demos/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 add_subdirectory(Demo_ScrollView)
 add_subdirectory(Demo_Themes)
 add_subdirectory(Demo_Pointers)
+add_subdirectory(Demo_MsdfFont)

=== MyGUIEngine/CMakeLists.txt ===
set (PROJECTNAME MyGUIEngine)

project( ${PROJECTNAME} )

include(${PROJECTNAME}.list)

include_directories(include)
if (MYGUI_USE_FREETYPE)
	include_directories(SYSTEM
		${FREETYPE_INCLUDE_DIRS}
	)
	add_definitions(-DMYGUI_USE_FREETYPE)

	if (MYGUI_MSDF_FONTS)
		add_definitions(-DMYGUI_MSDF_FONTS)
	endif ()
endif ()
if (MYGUI_DISABLE_PLUGINS)
	add_definitions(-DMYGUI_DISABLE_PLUGINS)
endif ()

add_definitions(-DMYGUI_BUILD)

# setup MyGUIEngine target
add_library(${PROJECTNAME} ${MYGUI_LIB_TYPE} ${HEADER_FILES} ${SOURCE_FILES})
if (NOT ANDROID)
	set_target_properties(${PROJECTNAME} PROPERTIES VERSION ${MYGUI_VERSION} SOVERSION "${MYGUI_VERSION_MAJOR}.${MYGUI_VERSION_MINOR}.${MYGUI_VERSION_PATCH}")
endif()

if (UNIX)
	# some platforms require explicit linking to libdl, see if it's available
	find_library(DL_LIBRARY NAMES dl dlsym)
	mark_as_advanced(DL_LIBRARY)
	if (DL_LIBRARY)
		target_link_libraries(${PROJECTNAME} dl)
	endif ()
endif()

if (MYGUI_USE_FREETYPE)
	if (MYGUI_MSDF_FONTS)
		add_subdirectory(src/msdfgen)
		target_link_libraries(${PROJECTNAME} msdfgen)
	endif ()

	target_link_libraries(${PROJECTNAME} ${FREETYPE_LIBRARIES})
	if (ZLIB_FOUND) # hacky way to check if freetype was built with zlib
		target_link_libraries(${PROJECTNAME} ${ZLIB_LIBRARIES})
	endif()
endif()

# platform specific dependencies
if (APPLE)
	include_directories(/usr/local/include /usr/include)
endif ()

if (${CMAKE_VERSION} VERSION_EQUAL "3.16" OR ${CMAKE_VERSION} VERSION_GREATER "3.16")
	target_precompile_headers(${PROJECTNAME} PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/include/MyGUI_Precompiled.h")
endif ()

set(${PROJECTNAME}_HEADERS ${HEADER_FILES}) # for Mac OS X
mygui_config_lib(${PROJECTNAME})

# install MyGUIEngine headers
install(FILES ${HEADER_FILES}
  DESTINATION include/MYGUI
)

=== UnitTests/UnitTest_Spline/CMakeLists.txt ===
mygui_unit_test(UnitTest_Spline)

=== Platforms/OpenGLES/OpenGLESPlatform/CMakeLists.txt ===
set(PROJECTNAME MyGUI.OpenGLESPlatform)

include_directories(
	include
	${MYGUI_SOURCE_DIR}/MyGUIEngine/include
	${OPENGL_INCLUDE_DIR}
	${MYGUI_SOURCE_DIR}/Common
)

include(${PROJECTNAME}.list)
add_definitions(-DGL_GLEXT_PROTOTYPES)
add_library(${PROJECTNAME} ${HEADER_FILES} ${SOURCE_FILES})

add_dependencies(${PROJECTNAME} MyGUIEngine)

target_link_libraries(${PROJECTNAME} ${OPENGL_gl_LIBRARY} MyGUIEngine)
link_directories(${OPENGL_LIB_DIR})

# installation rules
install(FILES ${HEADER_FILES}
	DESTINATION include/MYGUI
)
mygui_install_target(${PROJECTNAME} "")
